> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/zdns/private-zone-record/modifyprivatezonerecordsstatus.md).

# ModifyPrivateZoneRecordsStatus

## 1. API Description

This API (ModifyPrivateZoneRecordsStatus) is used to batch enable or disable specified DNS records of a DNS Zone.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type                                                              | Description                                                                                                                                          |
| -------------- | -------- | ----------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------- |
| zoneId         | Yes      | String                                                            | <p>DNS Zone ID.</p><p>It can be obtained by calling <a href="/api-reference/zdns/private-zone/describeprivatezones.md">DescribePrivateZones</a>.</p> |
| recordIds      | Yes      | Array of String                                                   | The ID of the DNS record to be modified the state.                                                                                                   |
| status         | Yes      | [RecordStatus](/api-reference/zdns/datastructure.md#recordstatus) | DNS record state.                                                                                                                                    |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Enable DNS records.**

```json
POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyPrivateZoneRecordsStatus
<Common Request Params>

Request:
{
  "zoneId": "<zoneId>",
  "recordIds": ["<recordId1>", "<recordId2>"],
  "status": "Enabled"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                                 | Description                                                 |
| ---------------- | ------------------------------------------ | ----------------------------------------------------------- |
| 404              | INVALID\_PRIVATE\_ZONE\_NOT\_FOUND         | DNS Zone does not exist.                                    |
| 404              | INVALID\_PRIVATE\_ZONE\_RECORD\_NOT\_EXIST | The specified DNS record does not exist under the DNS Zone. |
